import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FormArray, FormBuilder, FormControl, FormGroup } from '@angular/forms';
import { BsDatepickerDirective } from 'ngx-bootstrap/datepicker';
import { ICheckExpressionFieldLookUp } from '../interfaces/IJsonEditor';
import * as i0 from "@angular/core";
export declare class JsonlogicComponent implements OnInit {
    private fb;
    private cd;
    form: FormGroup;
    fieldsList: ICheckExpressionFieldLookUp[] | null;
    filtered_fieldsList: ICheckExpressionFieldLookUp[] | null;
    function: string;
    variable: string;
    keyboard: string;
    componentLocation: string | null;
    constructor(fb: FormBuilder, cd: ChangeDetectorRef);
    ngOnInit(): void;
    changeToValue(componentForm: FormGroup): void;
    changeToVariable(componentForm: FormGroup): void;
    changeToFunction(componentForm: FormGroup): void;
    onSelect(componentForm: FormGroup, controlType: string): void;
    componentFormGroup(logic: ICheckExpressionFieldLookUp): FormGroup<{
        type: FormControl<string | null | undefined>;
        value: FormControl<any>;
        name: FormControl<string | null | undefined>;
        label: FormControl<string | null | undefined>;
        controlType: FormControl<string | null | undefined>;
        returnType: FormControl<string | null | undefined>;
        padding: FormControl<number | null | undefined>;
        parameters: FormArray<FormControl<unknown>>;
    }>;
    getPlaceHolder(componentForm: FormGroup): string;
    filterlist(componentForm: FormGroup): void;
    showValueTypeControl(componentForm: FormControl): boolean;
    disableDateEntry(event: any, datepicker: BsDatepickerDirective): boolean;
    checkerror(control: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<JsonlogicComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<JsonlogicComponent, "app-jsonlogic", never, { "form": "form"; "fieldsList": "fieldsList"; "componentLocation": "componentLocation"; }, {}, never, never, false>;
}
